<?php

use think\migration\Migrator;

class CreateSysRole extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('sys_role', ['engine' => 'InnoDB', 'comment' => '系统角色表']);
        $table->addColumn('pid', 'integer', ['null' => false, 'default' => 0, 'comment' => '父级ID'])
            ->addColumn('name', 'string', ['limit' => 64, 'null' => false, 'comment' => '角色名称'])
            ->addColumn('desc', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => '角色描述'])
            ->addColumn('is_system', 'boolean', ['null' => false, 'limit' => 1, 'default' => 0, 'comment' => '是否系统角色:1为是,0为否'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->addColumn('updated_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP', 'comment' => '更新时间'])
            ->addColumn('deleted_at', 'timestamp', ['null' => true, 'default' => null, 'comment' => '删除时间'])
            ->create();
    }
}
